<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&$session><b>إعدادات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td disabled align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=list&$session><b>ادارة تصنيفات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=info&$session><b>ملاحظات</b></a></td>
  </tr>
</table><br>";

$gid = $apt->setid('gid');
if($apt->post['stage']){
$do = $apt->post['do'];
$move = $apt->post['move'];
$del = $apt->post['del'];
$togid = $apt->post['togid'];
if (count($do) > 0){

if($move){
	foreach($do as $id){
	$apt->query("update rafia_gallery_image set imgcat='$togid' where imgid='$id'");
	}
	$numrowst = $apt->dbnumquery("rafia_gallery_image","imgcat='$togid'");
	$apt->query("update rafia_gallery_cat set gcount='$numrowst' where gid='$togid'");
	$numrowsf = $apt->dbnumquery("rafia_gallery_image","imgcat='$gid'");
	$apt->query("update rafia_gallery_cat set gcount='$numrowsf' where gid='$gid'");
		modmsg("تم نقل الصور المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());

}elseif($del){
	foreach($do as $id){
	$sel = $apt->query("SELECT * FROM rafia_gallery_image WHERE imgid='$id'");
	while($row = $apt->dbarray($sel)){
      @extract($row);
	@unlink("./../modules/gallery/photos/$imglink");
	@unlink("./../modules/gallery/thumb/$imglink");
	}
	$apt->query("delete from rafia_gallery_image where imgid='$id'");
	}
	$numrowsf = $apt->dbnumquery("rafia_gallery_image","imgcat='$gid'");
	$apt->query("update rafia_gallery_cat set gcount='$numrowsf' where gid='$gid'");
		modmsg("تم حذف الصور المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}
}else{
		modmsg("عفوا .. انت لم تقم بإختيار اي صورة للعمل عليها<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=gallery&op=list&".$admin->get_sess());
}
}else{
$form .= "<script language=Javascript1.2><!--
function checkAll(field)
{
  for(i = 0; i < field.elements.length; i++)
     field[i].checked = true ;
}
function uncheckAll(field)
{
 for(i = 0; i < field.elements.length; i++)
    field[i].checked = false ;
}
</script>";

echo "<form method=\"POST\" act=\"mod.php?act=edit&mod=gallery&op=control&gid=$gid&".$admin->get_sess()."\" name='admin'>";
$admin->opentable("ادارة الصور");
$result = $apt->query ("SELECT * FROM rafia_gallery_image WHERE imgcat=$gid");
echo "<tr>";
$admin->td_msg("اسم الصورة");
$admin->td_msg("عرض الصورة");
$admin->td_msg("اختيار");
echo "</tr>";
while($apt->row =$apt->dbarray($result))
{@extract($apt->row);
echo "<tr>";
$admin->td_msg("$imgtitle");
$admin->td_msg("<a href=./../mod.php?mod=gallery&modfile=picshow&imgid=$imgid target=other>عرض الصورة</a>");
$admin->td_msg("<input type=checkbox name=do[] value=$imgid>");
echo "</tr>";
}
$admin->closetable();

$form .= "<input type=\"button\" name=\"CheckAll\" value=\"تحديد الكل\" onclick=\"checkAll(document.admin)\" >  " ;
$form .= "<input type=\"button\" name=\"UnCheckAll\" value=\"الغاء التحديد\" onclick=\"uncheckAll(document.admin)\" >  " ;

$form .="<input type=\"submit\" name=\"del\"  value=\"حـــذف\" onClick=\"if (!confirm('هل ترغب فعلاً في الحذف؟')) return false;\">";
            $form .="<br><br>";
            $form .="<input type=\"submit\" name=\"move\" onclick='return checkForm(this)' value=\"انقل الصور الى\"> ";
            $form .= "<select name='togid'>\n";
            $form .= "<option value=''> إختر قسم</option>";
            $result = $apt->query("select * from rafia_gallery_cat where gid !='$gid'");
            while($row=$apt->dbarray($result))
            {
                $gid   = $row["gid"];
                $gtitle = $row["gtitle"];
                $form .= "<option value='$gid'>$gtitle</option>";
            }
            $form .= "</select>\n";
$form .= $admin->inputhidden("stage",2);
echo "
<script language=javascript>
function checkForm(){
	var xx=document.admin.togid.options[document.admin.togid.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار تصنيف لنقل الصور إليه'); 
		return false;
	}	
}
</script>";
echo $form ;
echo "</form>";
}

?>